Bug 1575659 - [abrt] ibus-typing-booster: get_hunspell_dictionary_wordlist(): itb_util.py:420:get_hunspell_dictionary_wordlist:TypeError: not enough arguments for format string
Summary: [abrt] ibus-typing-booster: get_hunspell_dictionary_wordlist(): itb_util.py:4...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:69578b159918960142d90baae2f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 14:45 UTC by Gudmundur Magnusson
Modified: 2018-06-07 11:49 UTC (History)
3 users (show)

Fixed In Version: ibus-typing-booster-1.5.37-1.fc28 ibus-typing-booster-2.0.0-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-19 21:24:19 UTC


Attachments (Terms of Use)
File: backtrace (1.86 KB, text/plain)
2018-05-07 14:45 UTC, Gudmundur Magnusson
no flags Details
File: cgroup (341 bytes, text/plain)
2018-05-07 14:45 UTC, Gudmundur Magnusson
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2018-05-07 14:45 UTC, Gudmundur Magnusson
no flags Details
File: environ (3.78 KB, text/plain)
2018-05-07 14:45 UTC, Gudmundur Magnusson
no flags Details
File: mountinfo (4.19 KB, text/plain)
2018-05-07 14:45 UTC, Gudmundur Magnusson
no flags Details
File: namespaces (129 bytes, text/plain)
2018-05-07 14:45 UTC, Gudmundur Magnusson
no flags Details
File: open_fds (1.50 KB, text/plain)
2018-05-07 14:45 UTC, Gudmundur Magnusson
no flags Details

Description Gudmundur Magnusson 2018-05-07 14:45:27 UTC
Description of problem:
Trying to enable this feature under region and language settings.

Version-Release number of selected component:
ibus-typing-booster-1.5.36-1.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/share/ibus-typing-booster/setup/main.py
crash_function: get_hunspell_dictionary_wordlist
exception_type: TypeError
executable:     /usr/share/ibus-typing-booster/setup/main.py
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.5-300.fc28.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
itb_util.py:420:get_hunspell_dictionary_wordlist:TypeError: not enough arguments for format string

Traceback (most recent call last):
  File "/usr/share/ibus-typing-booster/setup/main.py", line 1070, in <module>
    SETUP_UI = SetupUI(IBus.Bus())
  File "/usr/share/ibus-typing-booster/setup/main.py", line 145, in __init__
    config_filename=self.config_file_full_path)
  File "/usr/share/ibus-typing-booster/setup/../engine/tabsqlitedb.py", line 120, in __init__
    self.hunspell_obj = hunspell_suggest.Hunspell(dictionary_names)
  File "/usr/share/ibus-typing-booster/setup/../engine/hunspell_suggest.py", line 131, in __init__
    self.init_dictionaries()
  File "/usr/share/ibus-typing-booster/setup/../engine/hunspell_suggest.py", line 143, in init_dictionaries
    self._dictionaries.append(Dictionary(name=dictionary_name))
  File "/usr/share/ibus-typing-booster/setup/../engine/hunspell_suggest.py", line 71, in __init__
    self.load_dictionary()
  File "/usr/share/ibus-typing-booster/setup/../engine/hunspell_suggest.py", line 82, in load_dictionary
    self.words) = itb_util.get_hunspell_dictionary_wordlist(self.name)
  File "/usr/share/ibus-typing-booster/setup/../engine/itb_util.py", line 420, in get_hunspell_dictionary_wordlist
    %aff_path)
TypeError: not enough arguments for format string

Local variables in innermost frame:
match: None
encoding_pattern: re.compile('^[\\s]*SET[\\s]+(?P<encoding>[-a-zA-Z0-9_]+)[\\s]*$', re.MULTILINE)
aff_buffer: 'TRY anrisultegkmðfdvhójbáopöæyíúþýéxSHBGAEÞKVFRÁJMLNDITÍÓOPÖUÚCÆcYzÝw\n'
dictionary_encoding: 'UTF-8'
dirname: '/usr/share/myspell'
aff_path: '/usr/share/myspell/is_IS.aff'
dic_path: '/usr/share/myspell/is_IS.dic'
dirnames: ['/usr/share/hunspell', '/usr/share/myspell', '/usr/share/myspell/dicts', '/usr/local/share/hunspell', '/usr/local/share/myspell', '/usr/local/share/myspell/dicts']
language: 'is_IS'

Comment 1 Gudmundur Magnusson 2018-05-07 14:45:33 UTC
Created attachment 1432644 [details]
File: backtrace

Comment 2 Gudmundur Magnusson 2018-05-07 14:45:34 UTC
Created attachment 1432645 [details]
File: cgroup

Comment 3 Gudmundur Magnusson 2018-05-07 14:45:36 UTC
Created attachment 1432646 [details]
File: cpuinfo

Comment 4 Gudmundur Magnusson 2018-05-07 14:45:37 UTC
Created attachment 1432647 [details]
File: environ

Comment 5 Gudmundur Magnusson 2018-05-07 14:45:39 UTC
Created attachment 1432648 [details]
File: mountinfo

Comment 6 Gudmundur Magnusson 2018-05-07 14:45:40 UTC
Created attachment 1432649 [details]
File: namespaces

Comment 7 Gudmundur Magnusson 2018-05-07 14:45:41 UTC
Created attachment 1432650 [details]
File: open_fds

Comment 8 Mike FABIAN 2018-05-09 05:51:02 UTC
Icelandic is the only myspell dictionary where the
/usr/share/myspell/is_IS.aff does not specify the encoding.
Therefore, this bug occured only for Icelandic.

This should fix it:

diff --git a/engine/itb_util.py b/engine/itb_util.py
index 686c3ed..807ebaa 100755
--- a/engine/itb_util.py
+++ b/engine/itb_util.py
@@ -416,7 +416,7 @@ def get_hunspell_dictionary_wordlist(language):
             else:
                 sys.stderr.write(
                     'get_hunspell_dictionary_wordlist(): '
-                    + 'No encoding=%s found in %s\n'
+                    + 'No encoding found in %s\n'
                     %aff_path)
     else:
         sys.stderr.write(

Will be in the next release.

Comment 9 Fedora Update System 2018-05-15 11:37:39 UTC
ibus-typing-booster-1.5.37-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a2a718bffa

Comment 10 Fedora Update System 2018-05-15 11:38:22 UTC
ibus-typing-booster-1.5.37-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-710dfcc94f

Comment 11 Fedora Update System 2018-05-15 11:38:39 UTC
ibus-typing-booster-1.5.37-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-48b881c246

Comment 12 Fedora Update System 2018-05-15 20:52:12 UTC
ibus-typing-booster-1.5.37-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-710dfcc94f

Comment 13 Fedora Update System 2018-05-15 21:43:30 UTC
ibus-typing-booster-1.5.37-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a2a718bffa

Comment 14 Fedora Update System 2018-05-15 23:03:00 UTC
ibus-typing-booster-1.5.37-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-48b881c246

Comment 15 Fedora Update System 2018-05-19 21:24:19 UTC
ibus-typing-booster-1.5.37-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-05-22 14:33:53 UTC
ibus-typing-booster-1.5.38-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2bafb99181

Comment 17 Fedora Update System 2018-05-22 14:34:15 UTC
ibus-typing-booster-1.5.38-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-99960355b2

Comment 18 Fedora Update System 2018-05-23 16:20:03 UTC
ibus-typing-booster-1.5.38-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2bafb99181

Comment 19 Fedora Update System 2018-05-23 16:56:35 UTC
ibus-typing-booster-1.5.38-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-99960355b2

Comment 20 Fedora Update System 2018-05-28 20:55:36 UTC
ibus-typing-booster-2.0.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-45f9132ff1

Comment 21 Fedora Update System 2018-05-28 20:57:46 UTC
ibus-typing-booster-2.0.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7b54425e1c

Comment 22 Fedora Update System 2018-05-29 12:02:36 UTC
ibus-typing-booster-2.0.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7b54425e1c

Comment 23 Fedora Update System 2018-05-29 12:30:18 UTC
ibus-typing-booster-2.0.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-45f9132ff1

Comment 24 Fedora Update System 2018-06-07 11:49:28 UTC
ibus-typing-booster-2.0.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.